timer.c File Reference

Timer Interface. More...

Include dependency graph for timer.c:

## Functions

int | snd_timer_open (snd_timer_t **timer, const char *name, int mode)
| Opens a new connection to the timer interface. More...
int | snd_timer_open_lconf (snd_timer_t **timer, const char *name, int mode, snd_config_t *lconf)
| Opens a new connection to the timer interface using local configuration. More...
int | snd_timer_close (snd_timer_t *timer)
| close timer handle More...
const char * | snd_timer_name (snd_timer_t *timer)
| get identifier of timer handle More...
snd_timer_type_t | snd_timer_type (snd_timer_t *timer)
| get type of timer handle More...
int | snd_async_add_timer_handler (snd_async_handler_t **handler, snd_timer_t *timer, snd_async_callback_t callback, void *private_data)
| Add an async handler for a timer. More...
snd_timer_t * | snd_async_handler_get_timer (snd_async_handler_t *handler)
| Return timer handle related to an async handler. More...
int | snd_timer_poll_descriptors_count (snd_timer_t *timer)
| get count of poll descriptors for timer handle More...
int | snd_timer_poll_descriptors (snd_timer_t *timer, struct pollfd *pfds, unsigned int space)
| get poll descriptors More...
int | snd_timer_poll_descriptors_revents (snd_timer_t *timer, struct pollfd *pfds, unsigned int nfds, unsigned short *revents)
| get returned events from poll descriptors More...
int | snd_timer_nonblock (snd_timer_t *timer, int nonblock)
| set nonblock mode More...
size_t | snd_timer_info_sizeof ()
| get size of the snd_timer_info_t structure in bytes More...
int | snd_timer_info_malloc (snd_timer_info_t **info)
| allocate a new snd_timer_info_t structure More...
void | snd_timer_info_free (snd_timer_info_t *info)
| frees the snd_timer_info_t structure More...
void | snd_timer_info_copy (snd_timer_info_t *dst, const snd_timer_info_t *src)
| copy one snd_timer_info_t structure to another More...
int | snd_timer_info_is_slave (snd_timer_info_t *info)
| determine, if timer is slave More...
int | snd_timer_info_get_card (snd_timer_info_t *info)
| get timer card More...
const char * | snd_timer_info_get_id (snd_timer_info_t *info)
| get timer id More...
const char * | snd_timer_info_get_name (snd_timer_info_t *info)
| get timer name More...
long | snd_timer_info_get_resolution (snd_timer_info_t *info)
| get timer resolution in us More...
int | snd_timer_info (snd_timer_t *timer, snd_timer_info_t *info)
| get information about timer handle More...
size_t | snd_timer_params_sizeof ()
| get size of the snd_timer_params_t structure in bytes More...
int | snd_timer_params_malloc (snd_timer_params_t **params)
| allocate a new snd_timer_params_t structure More...
void | snd_timer_params_free (snd_timer_params_t *params)
| frees the snd_timer_params_t structure More...
void | snd_timer_params_copy (snd_timer_params_t *dst, const snd_timer_params_t *src)
| copy one snd_timer_params_t structure to another More...
int | snd_timer_params_set_auto_start (snd_timer_params_t *params, int auto_start)
| set timer auto start More...
int | snd_timer_params_get_auto_start (snd_timer_params_t *params)
| determine if timer has auto start flag More...
int | snd_timer_params_set_exclusive (snd_timer_params_t *params, int exclusive)
| set timer exclusive use More...
int | snd_timer_params_get_exclusive (snd_timer_params_t *params)
| determine if timer has exclusive flag More...
int | snd_timer_params_set_early_event (snd_timer_params_t *params, int early_event)
| set timer early event More...
int | snd_timer_params_get_early_event (snd_timer_params_t *params)
| determine if timer has early event flag More...
void | snd_timer_params_set_ticks (snd_timer_params_t *params, long ticks)
| set timer ticks More...
long | snd_timer_params_get_ticks (snd_timer_params_t *params)
| get timer ticks More...
void | snd_timer_params_set_queue_size (snd_timer_params_t *params, long queue_size)
| set timer queue size (32-1024) More...
long | snd_timer_params_get_queue_size (snd_timer_params_t *params)
| get queue size More...
void | snd_timer_params_set_filter (snd_timer_params_t *params, unsigned int filter)
| set timer event filter More...
unsigned int | snd_timer_params_get_filter (snd_timer_params_t *params)
| get timer event filter More...
int | snd_timer_params (snd_timer_t *timer, snd_timer_params_t *params)
| set parameters for timer handle More...
size_t | snd_timer_status_sizeof ()
| get size of the snd_timer_status_t structure in bytes More...
int | snd_timer_status_malloc (snd_timer_status_t **status)
| allocate a new snd_timer_status_t structure More...
void | snd_timer_status_free (snd_timer_status_t *status)
| frees the snd_timer_status_t structure More...
void | snd_timer_status_copy (snd_timer_status_t *dst, const snd_timer_status_t *src)
| copy one snd_timer_status_t structure to another More...
snd_htimestamp_t | snd_timer_status_get_timestamp (snd_timer_status_t *status)
| get timestamp More...
long | snd_timer_status_get_resolution (snd_timer_status_t *status)
| get resolution in us More...
long | snd_timer_status_get_lost (snd_timer_status_t *status)
| get master tick lost count More...
long | snd_timer_status_get_overrun (snd_timer_status_t *status)
| get overrun count More...
long | snd_timer_status_get_queue (snd_timer_status_t *status)
| get count of used queue elements More...
int | snd_timer_status (snd_timer_t *timer, snd_timer_status_t *status)
| get status from timer handle More...
int | snd_timer_start (snd_timer_t *timer)
| start the timer More...
int | snd_timer_stop (snd_timer_t *timer)
| stop the timer More...
int | snd_timer_continue (snd_timer_t *timer)
| continue the timer More...
ssize_t | snd_timer_read (snd_timer_t *timer, void *buffer, size_t size)
| read bytes using timer handle More...
long | snd_timer_info_get_ticks (snd_timer_info_t *info)
| (DEPRECATED) get maximum timer ticks More...

## Detailed Description

Timer Interface.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  1998-2001

Timer Interface is designed to access timers. See Timer interface page for more details.

## Function Documentation

## snd_timer_name()

const char* snd_timer_name | ( | snd_timer_t * | timer | ) |

get identifier of timer handle

Parameters

  timer | a timer handle

Returns
  ascii identifier of timer handle

Returns the ASCII identifier of given timer handle. It's the same identifier specified in snd_timer_open().

## snd_timer_nonblock()

int snd_timer_nonblock | ( | snd_timer_t * | timer,
|  | int | nonblock
| ) |  |

set nonblock mode

Parameters

  timer | timer handle
  nonblock | 0 = block, 1 = nonblock mode

Returns
  0 on success otherwise a negative error code

## snd_timer_type()

snd_timer_type_t snd_timer_type | ( | snd_timer_t * | timer | ) |

get type of timer handle

Parameters

  timer | a timer handle

Returns
  type of timer handle

Returns the type snd_timer_type_t of given timer handle.